VTK: vtkMINCImageAttributes Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkMINCImageAttributes Class Reference

A container for a MINC image header. More...

`#include <vtkMINCImageAttributes.h>`

Inheritance diagram for vtkMINCImageAttributes:
[legend]
Collaboration diagram for vtkMINCImageAttributes:
[legend]

## Public Types
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkMINCImageAttributes * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | Reset ()
| Reset all the attributes in preparation for loading new information. More...
virtual vtkStringArray * | GetDimensionNames ()
| Get the dimension names. More...
virtual vtkIdTypeArray * | GetDimensionLengths ()
| Get the lengths of all the dimensions. More...
virtual vtkStringArray * | GetVariableNames ()
| Get the names of all the variables. More...
virtual vtkStringArray * | GetAttributeNames (const char *variable)
| List the attribute names for a variable. More...
virtual vtkTypeBool | HasAttribute (const char *variable, const char *attribute)
| Check to see if a particular attribute exists. More...
virtual int | ValidateAttribute (const char *varname, const char *attname, vtkDataArray *array)
| Validate a particular attribute. More...
virtual void | ShallowCopy (vtkMINCImageAttributes *source)
| Do a shallow copy. More...
virtual void | FindValidRange (double range[2])
| Find the valid range of the data from the information stored in the attributes. More...
virtual void | FindImageRange (double range[2])
| Find the image range of the data from the information stored in the attributes. More...
virtual void | SetName (const char *)
| Get the name of the image, not including the path or the extension. More...
virtual char * | GetName ()
| Get the name of the image, not including the path or the extension. More...
virtual void | SetDataType (int)
| Get the image data type, as stored on disk. More...
virtual int | GetDataType ()
| Get the image data type, as stored on disk. More...
virtual void | AddDimension (const char *dimension)
| Add the names of up to five dimensions. More...
virtual void | AddDimension (const char *dimension, vtkIdType length)
| Add the names of up to five dimensions. More...
virtual void | SetImageMin (vtkDoubleArray *imageMin)
| Get the image min and max arrays. More...
virtual void | SetImageMax (vtkDoubleArray *imageMax)
| Get the image min and max arrays. More...
virtual vtkDoubleArray * | GetImageMin ()
| Get the image min and max arrays. More...
virtual vtkDoubleArray * | GetImageMax ()
| Get the image min and max arrays. More...
virtual int | GetNumberOfImageMinMaxDimensions ()
| Get the number of ImageMinMax dimensions. More...
virtual void | SetNumberOfImageMinMaxDimensions (int)
| Get the number of ImageMinMax dimensions. More...
virtual void | SetAttributeValueAsArray (const char *variable, const char *attribute, vtkDataArray *array)
| Set attribute values for a variable as a vtkDataArray. More...
virtual vtkDataArray * | GetAttributeValueAsArray (const char *variable, const char *attribute)
| Set attribute values for a variable as a vtkDataArray. More...
virtual void | SetAttributeValueAsString (const char *variable, const char *attribute, const char *value)
| Set an attribute value as a string. More...
virtual const char * | GetAttributeValueAsString (const char *variable, const char *attribute)
| Set an attribute value as a string. More...
virtual void | SetAttributeValueAsInt (const char *variable, const char *attribute, int value)
| Set an attribute value as an int. More...
virtual int | GetAttributeValueAsInt (const char *variable, const char *attribute)
| Set an attribute value as an int. More...
virtual void | SetAttributeValueAsDouble (const char *variable, const char *attribute, double value)
| Set an attribute value as a double. More...
virtual double | GetAttributeValueAsDouble (const char *variable, const char *attribute)
| Set an attribute value as a double. More...
virtual void | SetValidateAttributes (vtkTypeBool)
| Set this to Off if you do not want to automatically validate every attribute that is set. More...
virtual void | ValidateAttributesOn ()
| Set this to Off if you do not want to automatically validate every attribute that is set. More...
virtual void | ValidateAttributesOff ()
| Set this to Off if you do not want to automatically validate every attribute that is set. More...
virtual vtkTypeBool | GetValidateAttributes ()
| Set this to Off if you do not want to automatically validate every attribute that is set. More...
virtual void | PrintFileHeader ()
| A diagnostic function. More...
virtual void | PrintFileHeader (ostream &os)
| A diagnostic function. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkTypeBool | IsTypeOf (const char *type)
static vtkMINCImageAttributes * | SafeDownCast (vtkObjectBase *o)
static vtkMINCImageAttributes * | New ()
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkMINCImageAttributes ()
| ~vtkMINCImageAttributes () override
const char * | ConvertDataArrayToString (vtkDataArray *array)
virtual int | ValidateGlobalAttribute (const char *attrib, vtkDataArray *array)
virtual int | ValidateGeneralAttribute (const char *varname, const char *attname, vtkDataArray *array)
virtual int | ValidateDimensionAttribute (const char *varname, const char *attname, vtkDataArray *array)
virtual int | ValidateImageAttribute (const char *varname, const char *attname, vtkDataArray *array)
virtual int | ValidateImageMinMaxAttribute (const char *varname, const char *attname, vtkDataArray *array)
virtual int | ValidatePatientAttribute (const char *varname, const char *attname, vtkDataArray *array)
virtual int | ValidateStudyAttribute (const char *varname, const char *attname, vtkDataArray *array)
virtual int | ValidateAcquisitionAttribute (const char *varname, const char *attname, vtkDataArray *array)
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
vtkStringArray * | DimensionNames
vtkIdTypeArray * | DimensionLengths
vtkStringArray * | VariableNames
vtkMINCImageAttributeMap * | AttributeNames
vtkMINCImageAttributeMap * | AttributeValues
vtkStringArray * | StringStore
vtkDoubleArray * | ImageMin
vtkDoubleArray * | ImageMax
int | NumberOfImageMinMaxDimensions
int | DataType
char * | Name
vtkTypeBool | ValidateAttributes
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()

## Detailed Description

A container for a MINC image header.

This class provides methods to access all of the information contained in the MINC header. If you read a MINC file into VTK and then write it out again, you can use writer->SetImageAttributes(reader->GetImageAttributes) to ensure that all of the medical information contained in the file is transferred from the reader to the writer. If you want to change any of the header information, you must use ShallowCopy to make a copy of the reader's attributes and then modify only the copy.

See also
  vtkMINCImageReader vtkMINCImageWriter

Thanks:
  Thanks to David Gobbi for writing this class and Atamai Inc. for contributing it to VTK.

Tests:
  vtkMINCImageAttributes (Tests)

Definition at line 43 of file vtkMINCImageAttributes.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkObject vtkMINCImageAttributes::Superclass

Definition at line 46 of file vtkMINCImageAttributes.h.

## Constructor & Destructor Documentation

## ◆ vtkMINCImageAttributes()

vtkMINCImageAttributes::vtkMINCImageAttributes | ( |  | ) |
| protected

## ◆ ~vtkMINCImageAttributes()

vtkMINCImageAttributes::~vtkMINCImageAttributes | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ IsTypeOf()

static vtkTypeBool vtkMINCImageAttributes::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkMINCImageAttributes::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkObjectBase.

## ◆ SafeDownCast()

static vtkMINCImageAttributes* vtkMINCImageAttributes::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkMINCImageAttributes::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

## ◆ NewInstance()

vtkMINCImageAttributes* vtkMINCImageAttributes::NewInstance | ( |  | ) | const

## ◆ New()

static vtkMINCImageAttributes* vtkMINCImageAttributes::New | ( |  | ) |
| static

## ◆ PrintSelf()

void vtkMINCImageAttributes::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkObject.

## ◆ Reset()

virtual void vtkMINCImageAttributes::Reset | ( |  | ) |
| virtual

Reset all the attributes in preparation for loading new information.

## ◆ SetName()

virtual void vtkMINCImageAttributes::SetName | ( | const char * |  | ) |
| virtual

Get the name of the image, not including the path or the extension.

This is only needed for printing the header and there is usually no need to set it.

## ◆ GetName()

virtual char* vtkMINCImageAttributes::GetName | ( |  | ) |
| virtual

Get the name of the image, not including the path or the extension.

This is only needed for printing the header and there is usually no need to set it.

## ◆ SetDataType()

virtual void vtkMINCImageAttributes::SetDataType | ( | int |  | ) |
| virtual

Get the image data type, as stored on disk.

This information is useful if the file was converted to floating-point when it was loaded. When writing a file from float or double image data, you can use this method to prescribe the output type.

## ◆ GetDataType()

virtual int vtkMINCImageAttributes::GetDataType | ( |  | ) |
| virtual

Get the image data type, as stored on disk.

This information is useful if the file was converted to floating-point when it was loaded. When writing a file from float or double image data, you can use this method to prescribe the output type.

## ◆ AddDimension() [1/2]

virtual void vtkMINCImageAttributes::AddDimension | ( | const char * | dimension | ) |
| inlinevirtual

Add the names of up to five dimensions.

The ordering of these dimensions will determine the dimension order of the file. If no DimensionNames are set, the writer will set the dimension order of the file to be the same as the dimension order in memory.

Definition at line 85 of file vtkMINCImageAttributes.h.

## ◆ AddDimension() [2/2]

virtual void vtkMINCImageAttributes::AddDimension | ( | const char * | dimension,
|  | vtkIdType | length
| ) |  |
| virtual

Add the names of up to five dimensions.

The ordering of these dimensions will determine the dimension order of the file. If no DimensionNames are set, the writer will set the dimension order of the file to be the same as the dimension order in memory.

## ◆ GetDimensionNames()

virtual vtkStringArray* vtkMINCImageAttributes::GetDimensionNames | ( |  | ) |
| inlinevirtual

Get the dimension names.

The dimension names are same order as written in the file, starting with the slowest-varying dimension. Use this method to get the array if you need to change "space" dimensions to "frequency" after performing a Fourier transform.

Definition at line 96 of file vtkMINCImageAttributes.h.

## ◆ GetDimensionLengths()

virtual vtkIdTypeArray* vtkMINCImageAttributes::GetDimensionLengths | ( |  | ) |
| inlinevirtual

Get the lengths of all the dimensions.

The dimension lengths are informative, the vtkMINCImageWriter does not look at these values but instead uses the dimension sizes of its input.

Definition at line 103 of file vtkMINCImageAttributes.h.

## ◆ GetVariableNames()

virtual vtkStringArray* vtkMINCImageAttributes::GetVariableNames | ( |  | ) |
| inlinevirtual

Get the names of all the variables.

Definition at line 108 of file vtkMINCImageAttributes.h.

## ◆ GetAttributeNames()

virtual vtkStringArray* vtkMINCImageAttributes::GetAttributeNames | ( | const char * | variable | ) |
| virtual

List the attribute names for a variable.

Set the variable to the empty string to get a list of the global attributes.

## ◆ SetImageMin()

virtual void vtkMINCImageAttributes::SetImageMin | ( | vtkDoubleArray * | imageMin | ) |
| virtual

Get the image min and max arrays.

These are set by the reader, but they aren't used by the writer except to compute the full real data range of the original file.

## ◆ SetImageMax()

virtual void vtkMINCImageAttributes::SetImageMax | ( | vtkDoubleArray * | imageMax | ) |
| virtual

Get the image min and max arrays.

These are set by the reader, but they aren't used by the writer except to compute the full real data range of the original file.

## ◆ GetImageMin()

virtual vtkDoubleArray* vtkMINCImageAttributes::GetImageMin | ( |  | ) |
| inlinevirtual

Get the image min and max arrays.

These are set by the reader, but they aren't used by the writer except to compute the full real data range of the original file.

Definition at line 124 of file vtkMINCImageAttributes.h.

## ◆ GetImageMax()

virtual vtkDoubleArray* vtkMINCImageAttributes::GetImageMax | ( |  | ) |
| inlinevirtual

Get the image min and max arrays.

These are set by the reader, but they aren't used by the writer except to compute the full real data range of the original file.

Definition at line 125 of file vtkMINCImageAttributes.h.

## ◆ GetNumberOfImageMinMaxDimensions()

virtual int vtkMINCImageAttributes::GetNumberOfImageMinMaxDimensions | ( |  | ) |
| virtual

Get the number of ImageMinMax dimensions.

## ◆ SetNumberOfImageMinMaxDimensions()

virtual void vtkMINCImageAttributes::SetNumberOfImageMinMaxDimensions | ( | int |  | ) |
| virtual

Get the number of ImageMinMax dimensions.

## ◆ HasAttribute()

virtual vtkTypeBool vtkMINCImageAttributes::HasAttribute | ( | const char * | variable,
|  | const char * | attribute
| ) |  |
| virtual

Check to see if a particular attribute exists.

## ◆ SetAttributeValueAsArray()

virtual void vtkMINCImageAttributes::SetAttributeValueAsArray | ( | const char * | variable,
|  | const char * | attribute,
|  | vtkDataArray * | array
| ) |  |
| virtual

Set attribute values for a variable as a vtkDataArray.

Set the variable to the empty string to access global attributes.

## ◆ GetAttributeValueAsArray()

virtual vtkDataArray* vtkMINCImageAttributes::GetAttributeValueAsArray | ( | const char * | variable,
|  | const char * | attribute
| ) |  |
| virtual

Set attribute values for a variable as a vtkDataArray.

Set the variable to the empty string to access global attributes.

## ◆ SetAttributeValueAsString()

virtual void vtkMINCImageAttributes::SetAttributeValueAsString | ( | const char * | variable,
|  | const char * | attribute,
|  | const char * | value
| ) |  |
| virtual

Set an attribute value as a string.

Set the variable to the empty string to access global attributes. If you specify a variable that does not exist, it will be created.

## ◆ GetAttributeValueAsString()

virtual const char* vtkMINCImageAttributes::GetAttributeValueAsString | ( | const char * | variable,
|  | const char * | attribute
| ) |  |
| virtual

Set an attribute value as a string.

Set the variable to the empty string to access global attributes. If you specify a variable that does not exist, it will be created.

## ◆ SetAttributeValueAsInt()

virtual void vtkMINCImageAttributes::SetAttributeValueAsInt | ( | const char * | variable,
|  | const char * | attribute,
|  | int | value
| ) |  |
| virtual

Set an attribute value as an int.

Set the variable to the empty string to access global attributes. If you specify a variable that does not exist, it will be created.

## ◆ GetAttributeValueAsInt()

virtual int vtkMINCImageAttributes::GetAttributeValueAsInt | ( | const char * | variable,
|  | const char * | attribute
| ) |  |
| virtual

Set an attribute value as an int.

Set the variable to the empty string to access global attributes. If you specify a variable that does not exist, it will be created.

## ◆ SetAttributeValueAsDouble()

virtual void vtkMINCImageAttributes::SetAttributeValueAsDouble | ( | const char * | variable,
|  | const char * | attribute,
|  | double | value
| ) |  |
| virtual

Set an attribute value as a double.

Set the variable to the empty string to access global attributes. If you specify a variable that does not exist, it will be created.

## ◆ GetAttributeValueAsDouble()

virtual double vtkMINCImageAttributes::GetAttributeValueAsDouble | ( | const char * | variable,
|  | const char * | attribute
| ) |  |
| virtual

Set an attribute value as a double.

Set the variable to the empty string to access global attributes. If you specify a variable that does not exist, it will be created.

## ◆ ValidateAttribute()

virtual int vtkMINCImageAttributes::ValidateAttribute | ( | const char * | varname,
|  | const char * | attname,
|  | vtkDataArray * | array
| ) |  |
| virtual

Validate a particular attribute.

This involves checking that the attribute is a MINC standard attribute, and checking whether it can be set (as opposed to being set automatically from the image information). The return values is 0 if the attribute is set automatically and therefore should not be copied from here, 1 if this attribute is valid and should be set, and 2 if the attribute is non-standard.

## ◆ SetValidateAttributes()

virtual void vtkMINCImageAttributes::SetValidateAttributes | ( | vtkTypeBool |  | ) |
| virtual

Set this to Off if you do not want to automatically validate every attribute that is set.

## ◆ ValidateAttributesOn()

virtual void vtkMINCImageAttributes::ValidateAttributesOn | ( |  | ) |
| virtual

Set this to Off if you do not want to automatically validate every attribute that is set.

## ◆ ValidateAttributesOff()

virtual void vtkMINCImageAttributes::ValidateAttributesOff | ( |  | ) |
| virtual

Set this to Off if you do not want to automatically validate every attribute that is set.

## ◆ GetValidateAttributes()

virtual vtkTypeBool vtkMINCImageAttributes::GetValidateAttributes | ( |  | ) |
| virtual

Set this to Off if you do not want to automatically validate every attribute that is set.

## ◆ ShallowCopy()

virtual void vtkMINCImageAttributes::ShallowCopy | ( | vtkMINCImageAttributes * | source | ) |
| virtual

Do a shallow copy.

This will copy all the attributes from the source. It is much more efficient than a DeepCopy would be, since it only copies pointers to the attribute values instead of copying the arrays themselves. You must use this method to make a copy if you want to modify any MINC attributes from a MINCReader before you pass them to a MINCWriter.

## ◆ FindValidRange()

virtual void vtkMINCImageAttributes::FindValidRange | ( | double | range[2] | ) |
| virtual

Find the valid range of the data from the information stored in the attributes.

## ◆ FindImageRange()

virtual void vtkMINCImageAttributes::FindImageRange | ( | double | range[2] | ) |
| virtual

Find the image range of the data from the information stored in the attributes.

## ◆ PrintFileHeader() [1/2]

virtual void vtkMINCImageAttributes::PrintFileHeader | ( |  | ) |
| virtual

A diagnostic function.

Print the header of the file in the same format as ncdump or mincheader.

## ◆ PrintFileHeader() [2/2]

virtual void vtkMINCImageAttributes::PrintFileHeader | ( | ostream & | os | ) |
| virtual

A diagnostic function.

Print the header of the file in the same format as ncdump or mincheader.

## ◆ ConvertDataArrayToString()

const char* vtkMINCImageAttributes::ConvertDataArrayToString | ( | vtkDataArray * | array | ) |
| protected

## ◆ ValidateGlobalAttribute()

virtual int vtkMINCImageAttributes::ValidateGlobalAttribute | ( | const char * | attrib,
|  | vtkDataArray * | array
| ) |  |
| protectedvirtual

## ◆ ValidateGeneralAttribute()

virtual int vtkMINCImageAttributes::ValidateGeneralAttribute | ( | const char * | varname,
|  | const char * | attname,
|  | vtkDataArray * | array
| ) |  |
| protectedvirtual

## ◆ ValidateDimensionAttribute()

virtual int vtkMINCImageAttributes::ValidateDimensionAttribute | ( | const char * | varname,
|  | const char * | attname,
|  | vtkDataArray * | array
| ) |  |
| protectedvirtual

## ◆ ValidateImageAttribute()

virtual int vtkMINCImageAttributes::ValidateImageAttribute | ( | const char * | varname,
|  | const char * | attname,
|  | vtkDataArray * | array
| ) |  |
| protectedvirtual

## ◆ ValidateImageMinMaxAttribute()

virtual int vtkMINCImageAttributes::ValidateImageMinMaxAttribute | ( | const char * | varname,
|  | const char * | attname,
|  | vtkDataArray * | array
| ) |  |
| protectedvirtual

## ◆ ValidatePatientAttribute()

virtual int vtkMINCImageAttributes::ValidatePatientAttribute | ( | const char * | varname,
|  | const char * | attname,
|  | vtkDataArray * | array
| ) |  |
| protectedvirtual

## ◆ ValidateStudyAttribute()

virtual int vtkMINCImageAttributes::ValidateStudyAttribute | ( | const char * | varname,
|  | const char * | attname,
|  | vtkDataArray * | array
| ) |  |
| protectedvirtual

## ◆ ValidateAcquisitionAttribute()

virtual int vtkMINCImageAttributes::ValidateAcquisitionAttribute | ( | const char * | varname,
|  | const char * | attname,
|  | vtkDataArray * | array
| ) |  |
| protectedvirtual

## Member Data Documentation

## ◆ DimensionNames

vtkStringArray* vtkMINCImageAttributes::DimensionNames
| protected

Definition at line 257 of file vtkMINCImageAttributes.h.

## ◆ DimensionLengths

vtkIdTypeArray* vtkMINCImageAttributes::DimensionLengths
| protected

Definition at line 258 of file vtkMINCImageAttributes.h.

## ◆ VariableNames

vtkStringArray* vtkMINCImageAttributes::VariableNames
| protected

Definition at line 260 of file vtkMINCImageAttributes.h.

## ◆ AttributeNames

vtkMINCImageAttributeMap* vtkMINCImageAttributes::AttributeNames
| protected

Definition at line 261 of file vtkMINCImageAttributes.h.

## ◆ AttributeValues

vtkMINCImageAttributeMap* vtkMINCImageAttributes::AttributeValues
| protected

Definition at line 262 of file vtkMINCImageAttributes.h.

## ◆ StringStore

vtkStringArray* vtkMINCImageAttributes::StringStore
| protected

Definition at line 264 of file vtkMINCImageAttributes.h.

## ◆ ImageMin

vtkDoubleArray* vtkMINCImageAttributes::ImageMin
| protected

Definition at line 266 of file vtkMINCImageAttributes.h.

## ◆ ImageMax

vtkDoubleArray* vtkMINCImageAttributes::ImageMax
| protected

Definition at line 267 of file vtkMINCImageAttributes.h.

## ◆ NumberOfImageMinMaxDimensions

int vtkMINCImageAttributes::NumberOfImageMinMaxDimensions
| protected

Definition at line 268 of file vtkMINCImageAttributes.h.

## ◆ DataType

int vtkMINCImageAttributes::DataType
| protected

Definition at line 270 of file vtkMINCImageAttributes.h.

## ◆ Name

char* vtkMINCImageAttributes::Name
| protected

Definition at line 271 of file vtkMINCImageAttributes.h.

## ◆ ValidateAttributes

vtkTypeBool vtkMINCImageAttributes::ValidateAttributes
| protected

Definition at line 273 of file vtkMINCImageAttributes.h.

The documentation for this class was generated from the following file:

- IO/MINC/vtkMINCImageAttributes.h